<div class="container center">
    <label class="title-info-perso">{{'recap' | translate}}</label>
    <div class="banner"></div>
    <!-- Offre chosi-->
    <mat-card class="example-card" *ngIf="request.offerId !== null">
        <mat-card-header class="card">
            <mat-card-title class="title-card">Offre choisie</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <mat-card-title class="sub-title">VOTRE OFFRE</mat-card-title>
            <span class="modify" (click)="modifyOffre()"></span>
            <mat-card-subtitle class="label">Offre</mat-card-subtitle>
            <mat-card-subtitle class="sub-label">{{offer.name}}</mat-card-subtitle>
        </mat-card-content>
    </mat-card>

    <mat-card *ngIf="request.offerId === null" class="example-card">
        <mat-card-header class="card">
            <mat-card-title class="title-card">Compte choisi</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <mat-card-title class="sub-title">VOS COMPTES</mat-card-title>
            <span class="modify" (click)="modifyAccount()"></span>
            <mat-card-subtitle class="sub-label" *ngFor="let item of accounts">{{lang === 'fr' ? item.libelleFR :
                item.libelleEN}}</mat-card-subtitle>
        </mat-card-content>
    </mat-card>
    <br><br>
    <!-- recap information personnelles -->

    <mat-card class="perso-card">
        <mat-card-header class="card">
            <mat-card-title class="title-card">Informations personnelles</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <mat-card-title class="sub-title">VOTRE CIVILITE</mat-card-title>
            <span class="modify" (click)="modifyCivility()"></span>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Identité</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.civility}}</mat-card-subtitle>
            </div>
            <div class="row-card-grey">
                <mat-card-subtitle class="label">Nom et prénom</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.lastName}} {{personalInfo.firstName}}
                </mat-card-subtitle>
            </div>
            <div class="row-card-white">
                <mat-card-subtitle class="label">N° de téléphone</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.phone}}</mat-card-subtitle>
            </div>
            <div class="row-card-grey">
                <mat-card-subtitle class="label">Adresse mail</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.email}}</mat-card-subtitle>
            </div>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Date de Naissance</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.birthday}}</mat-card-subtitle>
            </div>
            <div class="sep"></div>
        </mat-card-content>
        <!-- civilité status-->
        <mat-card-content>
            <mat-card-title class="sub-title">VOTRE ETAT CIVIL</mat-card-title>
            <span class="modify" (click)="modifyCivilityStatus()"></span>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Nationalité</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.nationality}}</mat-card-subtitle>
            </div>
            <div class="row-card-grey">
                <mat-card-subtitle class="label">état civil</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.maritalStatus}}</mat-card-subtitle>
            </div>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Nombre d'enfants</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{personalInfo.nbrkids}}</mat-card-subtitle>
            </div>
            <div class="sep"></div>
        </mat-card-content>
        <!-- Adresse -->
        <mat-card-content>
            <mat-card-title class="sub-title">VOTRE ADRESSE</mat-card-title>
            <span class="modify" (click)="modifyAddresse()"></span>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Pays</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{addressInfo.countryOfResidence}}</mat-card-subtitle>
            </div>
            <div class="row-card-grey">
                <mat-card-subtitle class="label">Adresse</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{addressInfo.address}}</mat-card-subtitle>
            </div>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Code postal</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{addressInfo.zip}}</mat-card-subtitle>
            </div>
            <div class="row-card-grey">
                <mat-card-subtitle class="label">Ville</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{addressInfo.city}}</mat-card-subtitle>
            </div>
            <div class="sep"></div>
        </mat-card-content>

        <!-- Information finacncieres -->
        <mat-card-content>
            <mat-card-title class="sub-title">INFORMATIONS FINANCIERES</mat-card-title>
            <span class="modify" (click)="modifyFinancialInfo()"></span>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Catégorie socio-professionelle</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{lang === 'fr' ? financialInfo.categoryNameFR :
                    financialInfo.categoryNameEN}}</mat-card-subtitle>
            </div>
            <div class="row-card-grey">
                <mat-card-subtitle class="label">Revenu net mensuel (en dinars)</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{lang === 'fr' ? financialInfo.incomesFR :
                    financialInfo.incomesEN}}</mat-card-subtitle>
            </div>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Secteur d'activité</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{lang === 'fr' ? financialInfo.activityNameFR :
                    financialInfo.activityNameEN}}</mat-card-subtitle>
            </div>

            <div class="sep"></div>
        </mat-card-content>


        <!-- Agence -->
        <mat-card-content>
            <mat-card-title class="sub-title">VOTRE AGENCE DE CONTACT</mat-card-title>
            <span class="modify" (click)="modifyAgency()"></span>
            <div class="row-card-white">
                <mat-card-subtitle class="label">Agence</mat-card-subtitle>
                <mat-card-subtitle class="sub-label">{{addressInfoRecap.city}} - Agence {{addressInfoRecap.name}}
                    ({{addressInfoRecap.address}}, {{addressInfoRecap.zip}})
                </mat-card-subtitle>
            </div>
        </mat-card-content>
    </mat-card>
    <br><br>
    <div class="form-control">

        <button mat-button class="btn-continue cont-lay" (click)="passToJustificatif()">
            <span class="continuer">{{'terminer' | translate}} </span>
        </button>
        <button class="btn-retour ret" fxLayout="row" (click)="prevStep()" fxLayoutAlign="space-evenly center">
            <span class="material-icons">
                arrow_back_ios
            </span><span class="Retour">Retour</span></button>
    </div>
</div>